#define UBRR_VAL 12//103
//Initialisiert den Uart
void uart_init(void)
{
    UCSRB |= (1<<TXEN) | (1<<RXEN);// UART TX einschalten
    UCSRC |= (1<<URSEL)|(3<<UCSZ0)|(1<<USBS);// Asynchron 8N2

	UBRRH = UBRR_VAL >> 8;
    UBRRL = UBRR_VAL & 0xFF;

}
//sendet ein Zeichen über Uart
void uart_putc(unsigned char c)
{
    while (!(UCSRA & (1<<UDRE)))  /* warten bis Senden moeglich                   */
    {
    }
 	asm volatile("NOP");
 	checksum += c;
 	UDR = c;
}
//empfängt ein Zeichen
uint8_t uart_getc(void)
{
    while (!(UCSRA & (1<<RXC)))   // warten bis Zeichen verfuegbar
        ;
    return UDR;                   // Zeichen aus UDR an Aufrufer zurueckgeben
}
//sendet eine Zeichenkette
void uart_puts (char *s)
{
    while (*s)
    {   /* so lange *s != '\0' also ungleich dem "String-Endezeichen" */
        uart_putc(*s);
        s++;
    }
}

